List contacts linked to a board
GET
/boards/{board}/link/contacts
const url = 'https://projects.work.optidata.cloud/api/boards/1/link/contacts';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://projects.work.optidata.cloud/api/boards/1/link/contacts \ --header 'Authorization: Bearer <token>'Returns the Optiwork Contacts records linked to this board, enriched with contact data fetched from the Contacts app.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
Responses
Section titled “ Responses ”Linked contacts (empty array when none).
Media typeapplication/json
Array<object>
Contact record as provided by the Optiwork Contacts app.
object
key
additional properties
any
Example
[ { "id": 3301, "name": "Acme Procurement", "email": "procurement@acme.example" }]Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}